version: '3'

services:
  pgadmin:
    image: ${DOCKER_IMAGE}:${VERSION}
    restart: unless-stopped
    volumes:
      - "${LOCADIR}:${PGDATADIR}"
    environment:
      PGADMIN_DEFAULT_EMAIL: ${PGADMIN_DEFAULT_EMAIL}
      PGADMIN_DEFAULT_PASSWORD: ${PGADMIN_DEFAULT_PASSWORD}
      VIRTUAL_HOST: ${VIRTUAL_HOST}
      VIRTUAL_PORT: ${VIRTUAL_PORT}
      LETSENCRYPT_HOST: ${LETSENCRYPT_HOST}
      LETSENCRYPT_EMAIL: ${LETSENCRYPT_EMAIL}
    ports:
      - "5050:80"

networks:
 default:
  external: 
      name: ${NETWORK}
